# Uses of Class
org.eclipse.birt.report.model.api.ReportItemHandle

Packages that use ReportItemHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of ReportItemHandle in org.eclipse.birt.report.model.api

Subclasses of ReportItemHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`AutoTextHandle`
Represents a autotext report item.
`class`
`DataItemHandle`
Represents a data item element.
`class`
`ExtendedItemHandle`
Represents an extended element.
`class`
`FreeFormHandle`
Represents a free-form element.
`class`
`GridHandle`
Represents a grid item in the design.
`class`
`ImageHandle`
Represents an image report item.
`class`
`LabelHandle`
Represents a label report item.
`class`
`LineHandle`
Represents the line item.
`class`
`ListHandle`
Represents a list report item.
`class`
`ListingHandle`
Represents slots and common properties in the two list-oriented elements: table and list.
`class`
`MultiLineDataHandle`
Deprecated.
by `TextDataHandle`
`class`
`RectangleHandle`
Represents a rectangle element.
`class`
`TableHandle`
Represents a table element.
`class`
`TextDataHandle`
Represents a multi-line data item element.
`class`
`TextItemHandle`
Represents a text data item.
Methods in org.eclipse.birt.report.model.api that return ReportItemHandle
Modifier and Type
Method
Description
`ReportItemHandle`
ReportItemHandleImpl.`getDataBindingReference()`
Returns the report item of which data binding are referred by.
`protected ReportItemHandle`
GridColumnBandAdapter.`getElementHandle()`
`protected ReportItemHandle`
GridRowBandAdapter.`getElementHandle()`
`protected abstract ReportItemHandle`
RowBandAdapter.`getElementHandle()`
Returns the element where the copy/paste operation occurs.
`protected ReportItemHandle`
TableColumnBandAdapter.`getElementHandle()`
`protected ReportItemHandle`
TableRowBandAdapter.`getElementHandle()`
`ReportItemHandle`
ReportItemHandleImpl.`getViewHost()`
Gets the host element of this view.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type ReportItemHandle
Modifier and Type
Method
Description
`List<ReportItemHandle>`
ReportItemHandleImpl.`getAvailableCubeBindingReferenceList()`
Returns report items that can be referred by other report items by data binding reference property.
`List<ReportItemHandle>`
ReportItemHandleImpl.`getAvailableDataBindingReferenceList()`
Returns report items that can be referred by other report items by data binding reference property.
`protected List<ReportItemHandle>`
ReportItemHandleImpl.`getAvailableDataBindingReferenceList(String propName)`
Returns all available data binding referred report items, regardless of namelessness.
`List<ReportItemHandle>`
ReportItemHandleImpl.`getAvailableDataSetBindingReferenceList()`
Returns report items that can be referred by other report items by data binding reference property.
`List<ReportItemHandle>`
ReportItemHandleImpl.`getMethods(String methodName)`
Returns functions that can be called in the given method.
`List<ReportItemHandle>`
ReportItemHandleImpl.`getNamedCubeBindingReferenceList()`
Returns report items that can be referred by other report items by data binding reference property.
`List<ReportItemHandle>`
ReportItemHandleImpl.`getNamedDataBindingReferenceList()`
Returns report items that can be referred by other report items by data binding reference property.
`List<ReportItemHandle>`
ReportItemHandleImpl.`getNamedDataSetBindingReferenceList()`
Returns report items that can be referred by other report items by data binding reference property.
Methods in org.eclipse.birt.report.model.api with parameters of type ReportItemHandle
Modifier and Type
Method
Description
`void`
FreeFormHandle.`bringForward(ReportItemHandle content)`
Increases the z-index of the given element by 1.
`void`
FreeFormHandle.`bringToFront(ReportItemHandle content)`
Increases the z-index of the given element so that the element will have the maximal z-index value.
`void`
FreeFormHandle.`sendBackward(ReportItemHandle content)`
Reduces the z-index of the given element that resides in the freeform.
`void`
FreeFormHandle.`sendToBack(ReportItemHandle content)`
Reduces the z-index of the given element so that the element will have the minimal z-index value.
`void`
ReportItemHandleImpl.`setDataBindingReference(ReportItemHandle item)`
Sets the report item of which data binding are referred by.
`void`
TemplateReportItemHandle.`transformToReportItem(ReportItemHandle reportItemHandle)`
Transforms the current template report item to the given real report item.

## Uses of ReportItemHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type ReportItemHandle
Modifier and Type
Method
Description
`IAction`
SimpleElementFactory.`createAction(ActionHandle action, ReportItemHandle handle)`

## Uses of ReportItemHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ReportItemHandle
Modifier and Type
Method
Description
`IAction`
ISimpleElementFactory.`createAction(ActionHandle action, ReportItemHandle handle)`
Creates the action structure.

## Uses of ReportItemHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type ReportItemHandle
Modifier and Type
Method
Description
`static ComputedColumnHandle`
ColumnBindingUtil.`addColumnBinding(ReportItemHandle handle, ComputedColumn column)`
Binds a column to the given element.